import { DraftData, MemberData, ProposalData, RolePolicy, RoleTemplate } from '../types/index.js';
export declare function create_policy(template: RoleTemplate): RolePolicy;
export declare function get_enrollment(member: MemberData, proposal: ProposalData): {
    paths: [string, number][];
    payment: number;
    programs: import("../types/index.js").ProgramTerms[];
};
export declare function tabulate_enrollment(members: MemberData[], roles: RolePolicy[]): Map<string, number>;
export declare function has_full_enrollment(members: MemberData[], roles: RolePolicy[]): boolean;
export declare function has_policy(pol_id: string, roles: RolePolicy[]): boolean;
export declare function is_enrolled(members: MemberData[], mship: MemberData): boolean;
export declare function add_enrollment(membership: MemberData, policy: RolePolicy, session: DraftData): DraftData;
export declare function join_role(membership: MemberData, policy: RolePolicy, session: DraftData): DraftData;
export declare function rem_enrollment(membership: MemberData, session: DraftData): DraftData;
